Page MenuHomePhabricator

[LoongArch] Implement prologue/epilogue insertion
ClosedPublic

Authored by wangleiat on Jun 23 2022, 5:18 AM.

Diff Detail

Event Timeline

wangleiat created this revision.Jun 23 2022, 5:18 AM
Herald added a project: Restricted Project. · View Herald TranscriptJun 23 2022, 5:18 AM
wangleiat requested review of this revision.Jun 23 2022, 5:18 AM
Herald added a project: Restricted Project. · View Herald TranscriptJun 23 2022, 5:18 AM
xen0n added inline comments.Jul 2 2022, 5:05 PM
llvm/lib/Target/LoongArch/LoongArchFrameLowering.cpp
67–69

Looking at the RISCV counterpart, this part could be simplified a bit for less indentation.

wangleiat updated this revision to Diff 441992.Jul 3 2022, 6:19 PM

Address @xen0n's comments.

llvm/lib/Target/LoongArch/LoongArchFrameLowering.cpp
67–69

Thanks!

xen0n added inline comments.Jul 3 2022, 8:19 PM
llvm/lib/Target/LoongArch/LoongArchFrameLowering.cpp
67

no semicolon at end?

wangleiat updated this revision to Diff 442000.Jul 3 2022, 8:28 PM

Add missing semicolon.

wangleiat added inline comments.Jul 3 2022, 8:34 PM
llvm/lib/Target/LoongArch/LoongArchFrameLowering.cpp
67

Aha~
It was careless of me.
Thank you very much!

xen0n accepted this revision.Jul 3 2022, 10:44 PM

LGTM but someone else should take a look.

This revision is now accepted and ready to land.Jul 3 2022, 10:44 PM
SixWeining accepted this revision.Jul 6 2022, 12:53 AM
This revision was landed with ongoing or failed builds.Jul 6 2022, 12:54 AM
This revision was automatically updated to reflect the committed changes.